# Uses of Class
javax.swing.JPopupMenu

Packages that use JPopupMenu
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.

- ## Uses of JPopupMenu in javax.swing

  Methods in javax.swing that return JPopupMenu
  Modifier and Type
  Method
  Description
  `JPopupMenu`
  JComponent.`getComponentPopupMenu()`
  Returns `JPopupMenu` that assigned for this component.
  `JPopupMenu`
  JMenu.`getPopupMenu()`
  Returns the popupmenu associated with this menu.
  Methods in javax.swing with parameters of type JPopupMenu
  Modifier and Type
  Method
  Description
  `protected JMenu.WinListener`
  JMenu.`createWinListener(JPopupMenu p)`
  Creates a window-closing listener for the popup.
  `void`
  JComponent.`setComponentPopupMenu(JPopupMenu popup)`
  Sets the `JPopupMenu` for this `JComponent`.
  Constructors in javax.swing with parameters of type JPopupMenu
  Modifier
  Constructor
  Description
  ``
  `WinListener(JPopupMenu p)`
  Create the window listener for the specified popup.

- ## Uses of JPopupMenu in javax.swing.plaf

  Methods in javax.swing.plaf with parameters of type JPopupMenu
  Modifier and Type
  Method
  Description
  `Popup`
  PopupMenuUI.`getPopup(JPopupMenu popup, int x, int y)`
  Returns the `Popup` that will be responsible for displaying the `JPopupMenu`.

- ## Uses of JPopupMenu in javax.swing.plaf.basic

  Subclasses of JPopupMenu in javax.swing.plaf.basic
  Modifier and Type
  Class
  Description
  `class`
  `BasicComboPopup`
  This is a basic implementation of the `ComboPopup` interface.
  Fields in javax.swing.plaf.basic declared as JPopupMenu
  Modifier and Type
  Field
  Description
  `protected JPopupMenu`
  BasicPopupMenuUI.`popupMenu`
  The instance of `JPopupMenu`.

- ## Uses of JPopupMenu in javax.swing.plaf.metal

  Subclasses of JPopupMenu in javax.swing.plaf.metal
  Modifier and Type
  Class
  Description
  `class`
  `MetalComboBoxUI.MetalComboPopup`
  Deprecated.
  As of Java 2 platform v1.4.

- ## Uses of JPopupMenu in javax.swing.plaf.multi

  Methods in javax.swing.plaf.multi with parameters of type JPopupMenu
  Modifier and Type
  Method
  Description
  `Popup`
  MultiPopupMenuUI.`getPopup(JPopupMenu a, int b, int c)`
  Invokes the `getPopup` method on each UI handled by this object.